import 'package:mitra_corporate/model/surat_jalan_model.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:mitra_corporate/model/create_surat_jalan_model.dart';

import '../app/constant.dart';

// menerima perubahan value dari onTap simpan perubahan
final suratJalanProvider = StateProvider<int>((ref) => 1);

final createSuratJalanProvider =
    StateProvider<CreateSuratJalanModel>((ref) => CreateSuratJalanModel());

final suratJalankeywordProvider = StateProvider<String>((ref) => "");
//param untuk detail surat jalan
final suratJalanID = StateProvider<String>((ref) => "");
final suratJalanNumber = StateProvider<String>((ref) => "");

final sjStartDateProvider = StateProvider<DateTime>((ref) => DateTime.now());
final sjEndDateProvider = StateProvider<DateTime>((ref) => DateTime.now());

final sjDateType =
    StateProvider<dateFilterModel>((ref) => Constant.dateFilter.first);
